package com.hh.lib_record.microphone;



/**
 * Created by L470 on 2020/4/11.
 * 成功失败返回结果的回调接口，给最上调用层的回调
 */
public interface IMicroPhoneStateCallback {

    /**
     * -1 错误
     * 0  空闲
     * 1  录音中
     * 2  结束
     * 3  暂停
     * 4  停止
     * @param state
     */
    void onState(int state);


    void onError(int state,String msg);

}
